# boost_sp_counted_base.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file boost_sp_counted_base.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- class std::_Mutex_base< _Lp >
- class std::_Mutex_base< _S_mutex >
- class std::_Sp_counted_base< _Lp >
- class std::bad_weak_ptr

## Functions

- void std::__throw_bad_weak_ptr ()